## IdePanel IdePanel |

## Functions

GtkWidget * | ide_panel_new ()

## Types and Values

#define | IDE_TYPE_PANEL
struct | IdePanelClass
| IdePanel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge
                                    ╰── IdePanel
                                        ├── IdeEditorSidebar
                                        ├── IdeEditorUtilities
                                        ╰── IdeTransientSidebar

## Implemented Interfaces

IdePanel implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

## Functions

### ide_panel_new ()

    GtkWidget *
    ide_panel_new (void);

Creates a new IdePanel widget.

These are meant to be added to IdeSurface widgets within a workspace.

#### Returns

an IdePanel

Since: 3.32

## Types and Values

### IDE_TYPE_PANEL

    #define IDE_TYPE_PANEL (ide_panel_get_type())

### struct IdePanelClass

    struct IdePanelClass {
      DzlDockBinEdgeClass parent_class;
    };

### IdePanel

    typedef struct _IdePanel IdePanel;